dbXML API

## org.xmldb.api.sdk.modules
Class SimpleXPathQueryService

    java.lang.Object
      |
      +--org.xmldb.api.sdk.SimpleConfigurable
            |
            +--org.xmldb.api.sdk.modules.SimpleXPathQueryService

All Implemented Interfaces:
  Configurable, Service, XPathQueryService

public class SimpleXPathQueryService
extends SimpleConfigurable
implements XPathQueryService

XPathQueryService is a `Service` that enables the execution of XPath queries within the context of a `Collection`.

Constructor Summary
`SimpleXPathQueryService()`

Method Summary
`java.lang.String` `getName()` Returns the name associated with the Configurable object.
`java.lang.String` `getVersion()` Gets the Version attribute of the Service object
`ResourceIterator` `query(java.lang.String query)` Run an XPath query againt the `Collection`.
`void` `setCollection(Collection col)` Sets the Collection attribute of the Service object

Methods inherited from class org.xmldb.api.sdk.SimpleConfigurable
`getProperty, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.modules.XPathQueryService
`clearNamespaces, getNamespace, queryResource, removeNamespace, setNamespace`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Constructor Detail

### SimpleXPathQueryService

    public SimpleXPathQueryService()

Method Detail

### getName

    public java.lang.String getName()
                             throws XMLDBException

  Returns the name associated with the Configurable object.
  Specified by:
    `getName` in interface `Service`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getVersion

    public java.lang.String getVersion()
                                throws XMLDBException

  Gets the Version attribute of the Service object
  Specified by:
    `getVersion` in interface `Service`
  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setCollection

    public void setCollection(Collection col)
                       throws XMLDBException

  Sets the Collection attribute of the Service object
  Specified by:
    `setCollection` in interface `Service`
  Parameters:
    `col` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### query

    public ResourceIterator query(java.lang.String query)
                           throws XMLDBException

  Run an XPath query againt the `Collection`. The result is a `ResourceIterator` containing the results of the query.
  Specified by:
    `query` in interface `XPathQueryService`
  Parameters:
    `query` - The XPath query string to use.
  Returns:
    A ResourceIterator containing the results of the query.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved